
Ryzom - Bug # 1116

Status: Rejected Priority: High
Author: Gulivert Category: OS: Mac
Created: 10/03/2010 Assignee: kaetemi
Updated: 04/13/2012 Due date:
Subject: NLSOUND::ESoundDriverGenBuf
Description

Here a new bug on the OSX platform. I login and choose my avatar, the loading work fine and when  the game start, the crash appear
with this error. I tried to play three times and always the same crash. My avatar is in a capital, I just leave the first Island, during my
play in the Island I have never got a problem like that.

terminate called after throwing an instance of 'NLSOUND::ESoundDriverGenBuf'
  what():  Unable to generate sound buffers
Abort trap

History
#1 - 11/03/2010 11:00 am - kervala
- Status changed from New to Validated

I have this error too when appearing in Pyr :)

#2 - 05/26/2011 02:21 am - rti

related? http://dev.ryzom.com/boards/18/topics/4901

#3 - 05/31/2011 11:01 pm - rti

Btw, Gulivert, if you just want to play, you can disable the sound.

Put this into ~/Library/Application\ Support/Ryzom/client.cfg

SoundOn = 0;

#4 - 06/01/2011 11:49 am - rti
- Priority changed from Normal to High

#5 - 04/12/2012 08:10 pm - kaetemi
- Status changed from Validated to Assigned
- Assignee set to kaetemi

#6 - 04/12/2012 08:12 pm - kaetemi
- Status changed from Assigned to Rejected
http://dev.ryzom.com/boards/18/topics/4901


The code path referenced in the attachment no longer exists in the new music implementation.

#7 - 04/13/2012 12:56 pm - kaetemi

This was caused by a very bad and unstable implementation of the music channel system in the OpenAL library driver.

Files
nlsound_crash.rtf 40.3 kB 10/03/2010 Gulivert
